<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <main>
        <h1>HW6 Q&A</h1>

        <h4>Опишіть своїми словами, що таке екранування, і навіщо воно потрібне в мовах програмування</h4>
        <p>
            Екранування це використання спеціальних символів для відображення у тексті символів, які не можна використовувати безпосередньо.
            Наприклад, екранування використовується для відображення лапок в середині таких самих лапок "Деякий текст \"у лапках\" і без".
        </p>

        <h4>Які засоби оголошення функцій ви знаєте?</h4>
        <p>
            Засоби оголошення функцій: function declaration, function expression, arrow function.
            function declaration -  function name() { ... }
            function expression - const name = function() { ... }
            arrow function - const name = () => { ... }
        </p>

        <h4>Що таке hoisting, як він працює для змінних та функцій?</h4>
        <p>
            Hoisting - це процес переміщення оголошених змінних та функцій на початок області видимості.
            При цьому змінні оголошуються, але не ініціалізуються, тобто їм присвоюється значення undefined.
            Функції оголошуються та ініціалізуються.
        </p>

    </main>

    <script src="js/script.js"></script>
</body>
</html>